{% extends "base.html"%}
{% load staticfiles %}
{% block css-content%}
<link href="{% static 'accounts/register.css' %}" rel="stylesheet">
{% endblock %}
<!-- {#% load crispy_forms_tags %#} -->
{% block content%}
<!-- <div class="d-flex justify-content-center align-items-center">
    <form method="post">
        {#% csrf_token %#}
        <fieldset class="form-group">
            <legend class="border-bottom mb-4">Join Today</legend>
            {#{ form|crispy }#}
        </fieldset>
        <div class="form-group">
            <button type="submit" class="btn btn-outline-info">Sign Up</button>
        </div>
    </form>
</div>
<div class="border-top pt-3 d-flex justify-content-center align-items-center">
    <small class="text-muted">
        Already have an account? <a href="{#% url 'accounts:login' %#}" class="ml-2">Sign in</a>
    </small>
</div> -->
<div class="register-form">
    <form method="post">
        {% csrf_token %}
        <fieldset class="form-group text-center">
            <legend class="border-bottom mb-4">Join Today</legend>
        </fieldset>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-user"></i></span>
                <input type="text" class="form-control" name="username" placeholder="Username" required="required"
                    value="{{request.POST.username}}">
            </div>
        </div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                <input type="text" class="form-control" name="email" placeholder="Email" required="required" value="{{request.POST.email}}">
            </div>
        </div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                <input type="password" class="form-control" name="password1" placeholder="Password" required="required">
            </div>
        </div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                <input type="password" class="form-control" name="password2" placeholder="Confirm Password"
                    required="required">
            </div>
        </div>
        <div class="form-group">
            <button type="submit" class="btn btn-success btn-block register-btn">Sign up</button>
        </div>
    </form>
</div>
<div class="border-top pt-3 d-flex justify-content-center align-items-center">
    <small class="text-muted">
        Already have an account? <a href="{% url 'accounts:login' %}" class="ml-2">Sign in</a>
    </small>
</div>
{% endblock%}